List Contacts

Returns a collection of Contacts <Info title="Required scopes"> > `contacts:read` </Info>

Authentication

AuthorizationBearer
OAuth 2.0
OR
AuthorizationBearer
Personal Access Token

Query parameters

sortstringOptional

Order results by the specified field and direction. Accepts comma-separated list of {field}:{direction} values. Supported fields are: created_at, updated_at. Sort direction is specified as: asc, desc.

emailstringOptional

Filter results by exact match on email address. Accepts a comma-separated list.

phone_numberstringOptional

Filter results by exact match on phone number. Accepts a comma-separated list.

timezonestringOptional

Filter results by exact match on the IANA time zone name(s). Accepts a comma-separated list of time zones.

namestringOptional

Filter results by partial match on name(s). Accepts a comma-separated list— each segment is matched independently (commas in the query string separate values).

job_titlestringOptional

Filter results by partial match on job title(s). Accepts a comma-separated list— each segment is matched independently (commas in the query string separate values).

companystringOptional

Filter results by partial match on company name(s). Accepts a comma-separated list— each segment is matched independently (commas in the query string separate values).

countrystringOptional

Filter results by exact match on two-letter country code (ISO 3166-1 alpha-2). Accepts a comma-separated list.

statestringOptional

Filter results by exact match on state(s), province(s), or region(s). Accepts a comma-separated list of values.

citystringOptional

Filter results by partial match on city(ies). Accepts a comma-separated list— each segment is matched independently (commas in the query string separate values).

countintegerOptional1-100Defaults to 20
The number of rows to return
page_tokenstringOptional
The token to pass to get the next or previous portion of the collection
excludestringOptional

Omit the listed fields from the response. Currently only custom_fields is supported. When omitted, all fields are returned.

Response

OK
collectionlist of objects
paginationobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error